#java home
export JAVA_HOME=/usr/lib/jvm/java-17-openjdk-17.0.5.0.8-2.el8_6.x86_64

#---------------------------------------------------------------------------

#server_properties
JBOSS_HOME=/app/wildfly/wildfly_2612
IP_ADDRESS=1.1.1.1
MANAGEMENT_PORT=9102
HOST_NAME=slave
SERVER_NAME=m1

#---------------------------------------------------------------------------

##### user & process check #####

#user running wildfly server
JBOSS_USER=midadm

#user check
USER=`whoami`

if [ "${USER}" != "${JBOSS_USER}" ]
then
        echo =============================================
        echo You are not jboss user, Please change user
        echo =============================================
        exit
fi

#process running check
PID=`ps -ef|grep java|grep ${SERVER_NAME}|awk '{print $2}'`

if [ "$PID" != "" ]
then
	echo ""
        echo ==================================================================
        echo "[ServerName:${HOST_NAME}:${SERVER_NAME}]"_[pid:"${PID}"] Process Is Already Running !!!
        echo ==================================================================
	echo ""
        exit
fi

#---------------------------------------------------------------------------

#gclog_backup
#LOG_TIME=$(date +"%Y%m%d_%H%M")
#GC_LOG_DIR=/applogs/jboss/jboss_74/domain/server-one/gclog
#mv $GC_LOG_DIR/gclog.txt $GC_LOG_DIR/gclog.txt_$LOG_TIME

#---------------------------------------------------------------------------

#server_start
$JBOSS_HOME/bin/jboss-cli.sh --connect --controller=$IP_ADDRESS:$MANAGEMENT_PORT --command="/host=$HOST_NAME/server-config=$SERVER_NAME:start(blocking=true)"
